%define libname %mklibname %{name} 0
%define develname %mklibname %{name} -d

%define with_prelude 0
%{?_without_prelude: %{expand: %%global with_prelude 0}}
%{?_with_prelude: %{expand: %%global with_prelude 1}}

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define pam_redhat_version 1.1.5

Summary:	A security tool which provides authentication for applications
Name:		pam
Version:	1.5.2
Release:	%mkrel 9
# The library is BSD licensed with option to relicense as GPLv2+ - this option is redundant
# as the BSD license allows that anyway. pam_timestamp and pam_console modules are GPLv2+,
License:	BSD-3-Clause AND GPL-2.0-or-later
Group:		System/Libraries
Url:		http://www.linux-pam.org/
Source0:	https://github.com/linux-pam/linux-pam/releases/download/v%{version}/Linux-PAM-%{version}.tar.xz
Source1:	%{name}-tmpfiles.conf
Source2:	https://releases.pagure.org/pam-redhat/pam-redhat-%{pam_redhat_version}.tar.xz
Source5:	other.pamd
Source6:	system-auth.pamd
Source7:	config-util.pamd
Source8:	dlopen.sh
Source9:	system-auth.5
Source10:	config-util.5
Source11:	20-nproc.conf
Source12:	postlogin.pamd
Source13:	postlogin.5

# RedHat patches
Patch1:  pam-1.5.0-redhat-modules.patch
Patch2:  pam-1.5.0-noflex.patch
Patch3:  pam-1.3.0-unix-nomsg.patch
Patch4:  pam-1.5.2-pwhistory-config.patch
Patch22: pam-1.1.7-unix-build.patch

# Mageia specific sources/patches
# (fl) fix infinite loop
Patch507:	pam-0.74-loop.patch
# (fc) don't complain when / is owned by root.adm
Patch508:	Linux-PAM-0.99.3.0-pamtimestampadm.patch
# (fl) pam_xauth: set extra groups because in high security levels
#      access to /usr/X11R6/bin dir is controlled by a group
Patch512:	Linux-PAM-1.1.1-xauth-groups.patch

Patch700:	pam_fix_static_pam_console.patch
# (peroyvind): add missing constant that went with rpc removal from glibc 2.14
Patch702:	Linux-PAM-1.1.4-add-now-missing-nis-constant.patch

# upstream patches
Patch1000:	pam-1.5.2-pam_access-handle-hostnames-in-access-conf.patch
Patch1001:	031bb5a5d0d950253b68138b498dc93be69a64cb.patch

#add missing documentation
Source501: 	pam_tty_audit.8
Source502:	README
Requires(pre):	filesystem >= 2.1.9-18
Requires(post):	sed
Requires:	setup >= 2.7.12-2
Requires(pre):	tcb >= 1.0.2-16
Requires(posttrans):	coreutils
Requires:	pam_pwquality
BuildRequires:	bison
BuildRequires:	flex
%if !%{bootstrap}
# this pulls in the mega texlive load
BuildRequires:	linuxdoc-tools
%endif
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(audit)
BuildRequires:	pkgconfig(libcrypt) >= 4.1.1-2
BuildRequires:	gettext-devel
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-dtds
BuildRequires:	db-devel
BuildRequires:	xsltproc
BuildRequires:	w3m
%if %with_prelude
BuildRequires:	prelude-devel >= 0.9.0
%else
BuildConflicts:	prelude-devel
%endif

%description
PAM (Pluggable Authentication Modules) is a system security tool that
allows system administrators to set authentication policy without
having to recompile programs that handle authentication.

%package	doc
Summary:	Additional documentation for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}
BuildArch:	noarch

%description	doc
PAM (Pluggable Authentication Modules) is a system security tool that
allows system administrators to set authentication policy without
having to recompile programs that handle authentication.

This is the documentation package of %{name}.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{libname}
PAM (Pluggable Authentication Modules) is a system security tool that
allows system administrators to set authentication policy without
having to recompile programs that handle authentication.

This package contains the libraries for %{name}.

%package -n	%{develname}
Summary:	Development headers and libraries for %{name}
Group:		Development/Other
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
PAM (Pluggable Authentication Modules) is a system security tool that
allows system administrators to set authentication policy without
having to recompile programs that handle authentication.

This package contains the development libraries for %{name}.

%prep
%setup -q -n Linux-PAM-%{version} -a 2
perl -pi -e "s/\/lib \/usr\/lib/\/lib \/usr\/lib \/lib64 \/usr\/lib64/" m4/libtool.m4

# Add custom modules.
mv pam-redhat-%{pam_redhat_version}/* modules

# (RH)
%patch -P1 -p1 -b .redhat-modules
%patch -P2 -p1 -b .noflex
%patch -P3 -p1 -b .nomsg
%patch -P4 -p1 -b .pwhistory-config
%patch -P22 -p1 -b .build

# (Mageia)
%patch -P507 -p1 -b .loop
%patch -P508 -p1 -b .pamtimestampadm
%patch -P512 -p0 -b .xauth-groups
%patch -P700 -p1 -b .static
%patch -P702 -p1 -b .nis-const

# upstream
%patch -P1000 -p1 -b .access-hostnames
%patch -P1001 -p1 -b .CVE-2024-22365

install -m644 %{SOURCE501} %{SOURCE502} modules/pam_tty_audit/

mkdir -p doc/txts
for readme in modules/pam_*/README ; do
	cp -f ${readme} doc/txts/README.`dirname ${readme} | sed -e 's|^modules/||'`
done

%build
autoreconf -fi -I m4

export BROWSER=""
CFLAGS="$RPM_OPT_FLAGS -fPIC -I%{_includedir}/db53 -D_GNU_SOURCE" \
%configure \
	--disable-rpath \
	--includedir=%{_includedir}/security \
	--enable-vendordir=%{_datadir} \
	--docdir=%{_docdir}/%{name} \
	--enable-regenerate-docu \
	--disable-selinux \
	--enable-openssl
%make_build

%install
mkdir -p %{buildroot}%{_includedir}/security
mkdir -p %{buildroot}%{_libdir}/security
%make_install LDCONFIG=:
install -d -m 755 %{buildroot}%{_datadir}/pam.d
install -d -m 755 %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %{SOURCE5}  %{buildroot}%{_sysconfdir}/pam.d/other
install -m 644 %{SOURCE6}  %{buildroot}%{_sysconfdir}/pam.d/system-auth
install -m 644 %{SOURCE7}  %{buildroot}%{_sysconfdir}/pam.d/config-util
install -m 644 %{SOURCE12} %{buildroot}%{_sysconfdir}/pam.d/postlogin
install -m 644 %{SOURCE11} %{buildroot}%{_sysconfdir}/security/limits.d/20-nproc.conf
install -m 600 /dev/null   %{buildroot}%{_sysconfdir}/security/opasswd
install -d -m 755 %{buildroot}/var/log
install -d -m 755 %{buildroot}/usr/lib/motd.d

# Install man pages.
install -m 644 %{SOURCE9} %{SOURCE10} %{SOURCE13} %{buildroot}%{_mandir}/man5/

# Install tmpfiles
install -D -p -m 644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/%{name}.conf

# remove unpackaged .la files
rm -rf %{buildroot}%{_libdir}/*.la %{buildroot}%{_libdir}/security/*.la

# no longer needed, handled by ACL in udev
for phase in auth acct passwd session ; do
	ln -sf pam_unix.so %{buildroot}%{_libdir}/security/pam_unix_${phase}.so
done

# Duplicate doc file sets.
rm -rf %{buildroot}%{_docdir}/%{name}

# Install systemd unit file.
install -m644 -D modules/pam_namespace/pam_namespace.service \
  %{buildroot}%{_unitdir}/pam_namespace.service

%find_lang Linux-PAM

%check
# (blino) we don't want to test if SE Linux is built, it's disabled
# Make sure every module subdirectory gave us a module.  Yes, this is hackish.
for dir in modules/pam_* ; do
if [ -d ${dir} ] && [ ${dir} != "modules/pam_selinux" && [ ${dir} != "modules/pam_sepermit"  ]; then
	if ! ls -1 %{buildroot}%{_libdir}/security/`basename ${dir}`*.so ; then
		echo ERROR `basename ${dir}` did not build a module.
		exit 1
	fi
fi
done

# Check for module problems.  Specifically, check that every module we just
# installed can actually be loaded by a minimal PAM-aware application.
%{_sbindir}/ldconfig -n %{buildroot}%{_libdir}
chmod +x %{SOURCE8}
for module in %{buildroot}%{_libdir}/security/pam*.so ; do
	if ! env LD_LIBRARY_PATH=%{buildroot}%{_libdir} \
		 %{SOURCE8} -ldl -lpam -L%{buildroot}%{_libdir} ${module} ; then
		echo ERROR module: ${module} cannot be loaded.
		exit 1
	fi
done

rmdir %{buildroot}/var/run/console

%triggerun -- %{name} < 1.5.2-4
sed -i \
  -e '/pam_unix\.so/s/likeauth\s\+//' \
  -e '/pam_cracklib\.so/s/^.*$/password    requisite     pam_pwquality.so try_first_pass local_users_only retry=3 authtok_type=/' \
  -e '/^-session\s\+optional\s\+pam_systemd\.so/d' \
  -e '/^session\s\+required\s\+pam_limits\.so/s/\(.*$\)/\1\n-session     optional      pam_systemd.so/' \
  -e '2{/^$/d}' \
  /etc/pam.d/system-auth

%files -f Linux-PAM.lang
%doc NEWS doc/sag/*.txt doc/sag/html
%dir %{_datadir}/pam.d
%dir %{_sysconfdir}/pam.d
%config(noreplace) %{_sysconfdir}/environment
%config(noreplace) %{_sysconfdir}/pam.d/other
%config(noreplace) %{_sysconfdir}/pam.d/system-auth
%config(noreplace) %{_sysconfdir}/pam.d/config-util
%config(noreplace) %{_sysconfdir}/pam.d/postlogin
%{_sbindir}/pam_console_apply
%{_sbindir}/pam_namespace_helper
%{_sbindir}/faillock
%attr(4755,root,root) %{_sbindir}/pam_timestamp_check
%attr(4755,root,root) %{_sbindir}/unix_chkpwd
%attr(0700,root,root) %{_sbindir}/unix_update
%attr(0755,root,root) %{_sbindir}/mkhomedir_helper
%attr(0755,root,root) %{_sbindir}/pwhistory_helper
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/pam_namespace.service
%config(noreplace) %{_sysconfdir}/security/access.conf
%config(noreplace) %{_sysconfdir}/security/chroot.conf
%config(noreplace) %{_sysconfdir}/security/console.perms
%config(noreplace) %{_sysconfdir}/security/console.handlers
%config(noreplace) %{_sysconfdir}/security/faillock.conf
%config(noreplace) %{_sysconfdir}/security/group.conf
%config(noreplace) %{_sysconfdir}/security/limits.conf
%dir %{_sysconfdir}/security/limits.d
%config(noreplace) %{_sysconfdir}/security/limits.d/20-nproc.conf
%config(noreplace) %{_sysconfdir}/security/namespace.conf
%attr(755,root,root) %config(noreplace) %{_sysconfdir}/security/namespace.init
%config(noreplace) %{_sysconfdir}/security/pam_env.conf
%config(noreplace) %{_sysconfdir}/security/pwhistory.conf
%config(noreplace) %{_sysconfdir}/security/time.conf
%config(noreplace) %{_sysconfdir}/security/opasswd
%dir %{_sysconfdir}/security/console.apps
%dir %{_sysconfdir}/security/console.perms.d
%dir /usr/lib/motd.d
%{_mandir}/man5/*
%{_mandir}/man8/*

%files -n %{libname}
%{_libdir}/libpam.so.*
%{_libdir}/libpamc.so.*
%{_libdir}/libpam_misc.so.*
%dir %{_libdir}/security/
%{_libdir}/security/pam_access.so
%{_libdir}/security/pam_chroot.so
%{_libdir}/security/pam_console.so
%{_libdir}/security/pam_debug.so
%{_libdir}/security/pam_deny.so
%{_libdir}/security/pam_echo.so
%{_libdir}/security/pam_env.so
%{_libdir}/security/pam_exec.so
%{_libdir}/security/pam_faildelay.so
%{_libdir}/security/pam_faillock.so
%{_libdir}/security/pam_filter.so
%{_libdir}/security/pam_ftp.so
%{_libdir}/security/pam_group.so
%{_libdir}/security/pam_issue.so
%{_libdir}/security/pam_keyinit.so
%{_libdir}/security/pam_lastlog.so
%{_libdir}/security/pam_limits.so
%{_libdir}/security/pam_listfile.so
%{_libdir}/security/pam_localuser.so
%{_libdir}/security/pam_loginuid.so
%{_libdir}/security/pam_mail.so
%{_libdir}/security/pam_mkhomedir.so
%{_libdir}/security/pam_motd.so
%{_libdir}/security/pam_namespace.so
%{_libdir}/security/pam_nologin.so
%{_libdir}/security/pam_permit.so
%{_libdir}/security/pam_postgresok.so
%{_libdir}/security/pam_pwhistory.so
%{_libdir}/security/pam_rhosts.so
%{_libdir}/security/pam_rootok.so
%{_libdir}/security/pam_securetty.so
%{_libdir}/security/pam_setquota.so
%{_libdir}/security/pam_shells.so
%{_libdir}/security/pam_stress.so
%{_libdir}/security/pam_succeed_if.so
%{_libdir}/security/pam_time.so
%{_libdir}/security/pam_timestamp.so
%{_libdir}/security/pam_tty_audit.so
%{_libdir}/security/pam_umask.so
%{_libdir}/security/pam_unix.so
%{_libdir}/security/pam_unix_acct.so
%{_libdir}/security/pam_unix_auth.so
%{_libdir}/security/pam_unix_passwd.so
%{_libdir}/security/pam_unix_session.so
%{_libdir}/security/pam_userdb.so
%{_libdir}/security/pam_usertype.so
%{_libdir}/security/pam_warn.so
%{_libdir}/security/pam_wheel.so
%{_libdir}/security/pam_xauth.so
%{_libdir}/security/pam_filter

%files -n %{develname}
%doc Copyright
%{_libdir}/libpam.so
%{_libdir}/libpam_misc.so
%{_libdir}/libpamc.so
%{_libdir}/pkgconfig/pam.pc
%{_libdir}/pkgconfig/pam_misc.pc
%{_libdir}/pkgconfig/pamc.pc
%{_includedir}/security/*.h
%{_mandir}/man3/*

%files doc
%doc doc/txts doc/specs/rfc86.0.txt Copyright


%changelog
* Sun Apr 28 2024 wally <wally> 1.5.2-9.mga10
+ Revision: 2061541
- handle systemd-tmpfiles with filetriggers

* Sat Apr 06 2024 wally <wally> 1.5.2-8.mga10
+ Revision: 2055122
- another rebuild for i686

* Fri Apr 05 2024 wally <wally> 1.5.2-7.mga10
+ Revision: 2054670
- basesystem rebuild for i686

* Fri Jan 26 2024 ns80 <ns80> 1.5.2-6.mga10
+ Revision: 2035049
- add upstream patch for CVE-2024-22365 (mga#32746)

* Wed Jan 25 2023 luigiwalser <luigiwalser> 1.5.2-5.mga9
+ Revision: 1936078
- add patch4 from fedora to load pam_pwhistory config from file
- add patch1000 from upstream to mitigate CVE-2022-28321

* Sun Jan 08 2023 wally <wally> 1.5.2-4.mga9
+ Revision: 1931615
- fix system-auth update from mga8 without .rpmnew

* Sun Jan 08 2023 wally <wally> 1.5.2-3.mga9
+ Revision: 1931529
- make sure pam_cracklib.so will be changed to pam_pwquality.so in /etc/pam.d/system-auth
- drop old and unneeded rpm scriptlets

* Sun Mar 27 2022 umeabot <umeabot> 1.5.2-2.mga9
+ Revision: 1829192
- Mageia 9 Mass Rebuild

* Sun Sep 26 2021 luigiwalser <luigiwalser> 1.5.2-1.mga9
+ Revision: 1746565
- 1.5.2
- pam_redhat 1.1.5
- remove patches 4, 5, 521 (fixed upstream)
- do not own /etc/motd.d

* Sun Sep 26 2021 wally <wally> 1.5.1-4.mga9
+ Revision: 1746469
- drop ancient conflicts
- require pam_pwquality for system-auth

* Sat Sep 25 2021 luigiwalser <luigiwalser> 1.5.1-3.mga9
+ Revision: 1746396
- fix system-auth (we use sha512 by default still)

* Sat Sep 25 2021 wally <wally> 1.5.1-2.mga9
+ Revision: 1746387
- sync system-auth with Fedora to fix auth issues due to a missing/removed pam_cracklib.so (mga#29475)

* Wed Aug 04 2021 luigiwalser <luigiwalser> 1.5.1-1.mga9
+ Revision: 1739003
- add patch from fedora to not use crypt_checksalt for password expiration
- add patch from fedora to fix issues detected by covscan tool
- 1.5.1
- pam-redhat 1.1.4
- rediffed noflex, redhat-modules patches from fedora
- add unix-nomsg patch (3) from fedora
- rediff patches 512 and 521
- add vendor-default pam.d directory
- pam_cracklib is gone
- pam_setquota and pam_usertype are new
- drop tallylog

* Mon Dec 28 2020 luigiwalser <luigiwalser> 1.3.1-7.mga8
+ Revision: 1664462
- build against db53 instead of db48

* Sun Dec 20 2020 luigiwalser <luigiwalser> 1.3.1-6.mga8
+ Revision: 1661882
- sync additional fixes from fedora 32, including for CVE-2020-27780

* Mon Dec 07 2020 tmb <tmb> 1.3.1-5.mga8
+ Revision: 1654319
- revert to 1.3.1

* Mon Dec 07 2020 joequant <joequant> 1.5.1-2.mga8
+ Revision: 1654255
- remove requires for systemd which is not needed
+ luigiwalser <luigiwalser>
- 1.5.1
- 1.5.0
- pam-redhat 1.1.4
- rediffed noflex, redhat-modules patches from fedora
- add unix-nomsg patch (3) from fedora
- rediff patches 512 and 521
- add vendor-default pam.d directory
- pam_cracklib is gone
- pam_setquota and pam_usertype are new

* Wed Jun 10 2020 ovitters <ovitters> 1.3.1-4.mga8
+ Revision: 1591951
- new pam-redhat modules version 1.1.2

* Sat Feb 15 2020 umeabot <umeabot> 1.3.1-3.mga8
+ Revision: 1528017
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Tue Aug 06 2019 wally <wally> 1.3.1-2.mga8
+ Revision: 1427766
- build pam_userdb.so (mga#25226)
- drop some trailing spaces

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.3.1-1.mga7
+ Revision: 1346262
- limit documentation included in the package
- fix generation of faillock docs
- 1.3.1
- update pam-redhat to 1.0.0
- update URLs
- rediff patch 521
- install /var/log/tallylog and /run/motd via tmpfiles
- add pam_umask.so to postlogin
- remove patches 4, 5, 701 (fixed upstream)
- rediffed patches 1 and 9 from fedora
- add various upstream patches via fedora
- disable patch 37 which changes hash id for blowfish
- pam_tally2 is obsolete
- add /etc/motd.d and /usr/lib/motd.d directories

* Thu Sep 06 2018 tv <tv> 1.3.0-8.mga7
+ Revision: 1257540
- remove useless "Requires(pre): rpm-helper"

* Sun Aug 12 2018 tmb <tmb> 1.3.0-7.mga7
+ Revision: 1251145
- switch to libxcrypt

* Tue Sep 05 2017 tv <tv> 1.3.0-6.mga7
+ Revision: 1151455
- rebuild without db5_nss-devel

* Thu Aug 04 2016 philippem <philippem> 1.3.0-5.mga6
+ Revision: 1044451
- rebuild for cauldron/core

* Thu Aug 04 2016 philippem <philippem> 1.3.0-4.mga6
+ Revision: 1044447
- change attributes for unix_chkpwd and unix_update so screen-saver can unlock session

* Sun Jul 31 2016 philippem <philippem> 1.3.0-3.mga6
+ Revision: 1044163
- add post to be sure to remove tcb and use sha512

* Thu Jul 28 2016 philippem <philippem> 1.3.0-2.mga6
+ Revision: 1043840
- change system-auth owner
- don't rely on tcb, use sha512 mga#18930, mga#17504
+ tv <tv>
- fix %%check: make sure script has the right perms
- kill commented out tcb obsoleting unix (dead since 2008)
+ luigiwalser <luigiwalser>
- 1.3.0

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.2.1-1.mga6
+ Revision: 917642
- 1.2.1
- update patch 1 from fedora
- remove patches 2, 32, 35, 36, 44
- rediff patch 512

* Wed Oct 21 2015 tv <tv> 1.1.8-13.mga6
+ Revision: 893413
- fix build: exclude some doc

* Fri Aug 21 2015 tmb <tmb> 1.1.8-12.mga6
+ Revision: 867674
- rebuild for new gcc

* Wed Jul 01 2015 luigiwalser <luigiwalser> 1.1.8-11.mga6
+ Revision: 849400
- add patch from fedora to fix CVE-2015-3238

* Wed Oct 15 2014 umeabot <umeabot> 1.1.8-10.mga5
+ Revision: 748806
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.8-9.mga5
+ Revision: 683313
- Mageia 5 Mass Rebuild

* Tue Jul 08 2014 luigiwalser <luigiwalser> 1.1.8-8.mga5
+ Revision: 650774
- add patches from fedora to fix CVE-2013-7041 and CVE-2014-2583
- update pam-redhat tarball to 0.99.11 (from fedora)
- rename 90-nproc.conf to 20-nproc.conf (from fedora)
- remove patches 7 and 11 (from fedora)

* Thu Jan 23 2014 luigiwalser <luigiwalser> 1.1.8-7.mga4
+ Revision: 567549
- raise process limit to 4096 in accordance with fedora (mga#11550)

* Wed Oct 30 2013 luigiwalser <luigiwalser> 1.1.8-6.mga4
+ Revision: 548041
- remove process limit for root user (rhbz#432903)

* Tue Oct 29 2013 tv <tv> 1.1.8-5.mga4
+ Revision: 547791
- really move systemd %%post in %%posttrans (trying to fix install deps loop errors)

* Tue Oct 29 2013 tv <tv> 1.1.8-4.mga4
+ Revision: 547767
- move systemd %%post in %%posttrans (trying to fix install deps loop errors)

* Mon Oct 21 2013 umeabot <umeabot> 1.1.8-3.mga4
+ Revision: 539135
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 luigiwalser <luigiwalser> 1.1.8-2.mga4
+ Revision: 491497
- pam_tty_audit: proper initialization of the tty_audit_status struct (from fedora)

* Wed Oct 02 2013 luigiwalser <luigiwalser> 1.1.8-1.mga4
+ Revision: 490526
- 1.1.8

* Fri Sep 13 2013 luigiwalser <luigiwalser> 1.1.7-1.mga4
+ Revision: 478711
- 1.1.7
- remove upstreamed patches 21 and 24
- update patch 22 (from fedora)

* Mon Jul 29 2013 luigiwalser <luigiwalser> 1.1.6-6.mga4
+ Revision: 460178
- add postlogin config (from fedora), needed by passwd 0.79

* Sun Mar 24 2013 colin <colin> 1.1.6-5.mga3
+ Revision: 405136
- Use tmpfiles macros and add system version to requires (mga#9302)

* Sun Mar 10 2013 luigiwalser <luigiwalser> 1.1.6-4.mga3
+ Revision: 402037
- prevent logged-in users from running fork bombs (rhbz#432903)
- add support for tmpfs mount options in pam_namespace (from fedora)

* Sun Jan 13 2013 umeabot <umeabot> 1.1.6-3.mga3
+ Revision: 362361
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 cjw <cjw> 1.1.6-2.mga3
+ Revision: 343442
- add BuildRequires: gettext-devel
- fix build with automake 1.13

* Mon Sep 03 2012 luigiwalser <luigiwalser> 1.1.6-1.mga3
+ Revision: 287431
- 1.1.6
- update URLs
- resync some patches from fedora

* Tue Jul 31 2012 fwang <fwang> 1.1.5-4.mga3
+ Revision: 276295
- rebuild for db-5.3

* Wed Jul 25 2012 fwang <fwang> 1.1.5-3.mga3
+ Revision: 274190
- build with db 5.2

* Mon Jul 23 2012 colin <colin> 1.1.5-2.mga3
+ Revision: 273694
- Move to /usr
- Fix build with glibc-2.16 (patch from Arch)
- Ensure that /run/console directory is created via tmpfiles

* Sun Feb 19 2012 luigiwalser <luigiwalser> 1.1.5-1.mga2
+ Revision: 210662
- 1.1.5
- remove upstreamed security patches
- fix URL
- various cleanups from mdv:
  - work around ordering issue by moving %%post script to %%posttrans
  - check if /etc/login.defs exists before trying to open it in scriplet
  - spec cleanups
  - add bootstrap option to avoid texlive
  - add patch for missing nis constant removed from glibc (patch 702)

* Tue Jan 17 2012 colin <colin> 1.1.3-7.mga2
+ Revision: 197402
- Fix typo in post script (systemd auth issues mga#4134

* Sun Jan 08 2012 colin <colin> 1.1.3-6.mga2
+ Revision: 193519
- Ensure pam_systemd is included in system-auth (mga#3822)
+ anssi <anssi>
- fix USE_TCB check in %%post to avoid running the migration script every
  time (from Mandriva)

* Fri Nov 11 2011 colin <colin> 1.1.3-5.mga2
+ Revision: 166528
- Fix CVE-2011-3148, CVE-2011-3149 relating to overflows in pam_env. mga#3192

* Wed Nov 09 2011 colin <colin> 1.1.3-4.mga2
+ Revision: 165866
- Drop default rt prio/nice values for members of the audio group. mga#2503
- Add optional pam_systemd to system-auth session.
   * This is quite safe even when dealing with non-systemd systems
     as it is both optional in the session sense, and is prefixed by -
     thus not breaking things when pam_systemd.so is not installed.
     The module itself deals gracefully when systemd is used for boot
     or not (the latter being a noop)

* Tue Jan 11 2011 pterjan <pterjan> 1.1.3-2.mga1
+ Revision: 6072
- Remove removed file from file list
+ blino <blino>
- remove old readme files
- update comment
- remove old comments, ldconfig scripts, version checks, conflicts, obsoletes
- imported package pam


* Wed Nov 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.3-1mdv2011.0
+ Revision: 592873
- 1.1.3
- sync patches with pam-1.1.3-1.fc15.src.rpm
- rediffed P512

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-2mdv2010.1
+ Revision: 519980
- rebuilt against audit-2 libs

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.1-1mdv2010.1
+ Revision: 484161
- Update to new version 1.1.1
- Remove authok patch: integrated upstream
- Rediff xauth groups patch
- Don't run libtoolize: it breaks build
- drop tests for not pulling in libpthread like in Fedora (as NPTL
  should be safe and pam_userdb now links to libpthread on x86_64)

* Tue Oct 06 2009 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-6mdv2010.0
+ Revision: 454902
- Patch701: do not complain if there is no files in /etc/security/console.perms.d/

* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 1.1.0-5mdv2010.0
+ Revision: 450211
- fix crash on some archs, pam is building with static all functions
  with is plain wrong, this tends to make pam_comsole_apply
  unhappy/crashing (from Arnaud Patard)

* Tue Sep 08 2009 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-4mdv2010.0
+ Revision: 433622
- Patch4 (Fedora): do not chmod tty on login/login with pam_console anymore
- Patch5 (Fedora): drop pam_tally, use pam_tally2 instead

* Thu Aug 27 2009 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-3mdv2010.0
+ Revision: 421690
- Patch3 (Fedora): fix for pam_cracklib from upstream

* Mon Jul 27 2009 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-2mdv2010.0
+ Revision: 400600
- remove default rules for console.perms, device ownership should not change anymore

* Mon Jul 27 2009 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-1mdv2010.0
+ Revision: 400582
- Release 1.1.0
- no longer change devices ownership based on console privilege, handled by consolekit now (remove source500, patches 500, 501)

* Sun May 10 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.92-1mdv2010.0
+ Revision: 374099
- Remove verbose limits patch: a similar change was implemented upstream
- Update to new version Linux-PAM 1.0.92 and pam-redhat 0.99.10-1
- Resync patches with Fedora
- Rediff xauth-groups patch
- Remove man page typo fix, noselinux and bid 34010 patches
  (integrated upstream)
- Don't conflict with libselinux-devel and use --disable-selinux in
  configure call
- Disable verbose call patch for now, upstream code has changed too

* Thu Apr 16 2009 Frederik Himpe <fhimpe@mandriva.org> 0.99.8.1-20mdv2009.1
+ Revision: 367795
- Disable fork option for pam_tcb, to reflect the change made in set_tcb

* Mon Mar 30 2009 Frederic Crozat <fcrozat@mandriva.com> 0.99.8.1-19mdv2009.1
+ Revision: 362380
- Add console for raw1394 (Mdv bug #47622)

* Thu Mar 19 2009 Frederik Himpe <fhimpe@mandriva.org> 0.99.8.1-18mdv2009.1
+ Revision: 358110
- Add upstream patch fixing security issue (Bugtraq ID 34010)

* Sun Mar 08 2009 Michael Scherer <misc@mandriva.org> 0.99.8.1-17mdv2009.1
+ Revision: 352736
- fix build by updating libtool script
- update patch 32
- rediff patch 31

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Tue Aug 12 2008 Vincent Danen <vdanen@mandriva.com> 0.99.8.1-16mdv2009.0
+ Revision: 271144
- call set_tcb in %%post and require tcb itself as a result

* Tue Aug 12 2008 Olivier Blin <oblin@mandriva.com> 0.99.8.1-15mdv2009.0
+ Revision: 271055
- move pam_tcb conflict in the proper lib package (#42709)

* Mon Aug 11 2008 Olivier Blin <oblin@mandriva.com> 0.99.8.1-14mdv2009.0
+ Revision: 270658
- conflict with old tcb package that contained pam_unix

* Sat Aug 09 2008 Vincent Danen <vdanen@mandriva.com> 0.99.8.1-13mdv2009.0
+ Revision: 270079
- require new pam_tcb release
  require specific setup version for the shadow group
  restore old pam_unix and its symlinks
  ensure system-auth permissions and ownership

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.99.8.1-12mdv2009.0
+ Revision: 265321
- rebuild early 2009.0 package (before pixel changes)

  + Oden Eriksson <oeriksson@mandriva.com>
    - unset BROWSER

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 22 2008 Vincent Danen <vdanen@mandriva.com> 0.99.8.1-11mdv2009.0
+ Revision: 210056
- libpam conflicts with pam < 0.99.8.1-10mdv
- dropped the system-auth migration as per blino
- restored the 0.99.3.1 README
- renamed and trimmed the 0.99.8.1-11mdv README

* Tue May 20 2008 Vincent Danen <vdanen@mandriva.com> 0.99.8.1-10mdv2009.0
+ Revision: 209289
- gracefully handle non-standard system-auth configurations to replace pam_unix with pam_tcb (for instances like using ldap for auth, etc.) which, if not done correctly or immediately, could result in local accounts being locked out

* Mon May 19 2008 Vincent Danen <vdanen@mandriva.com> 0.99.8.1-9mdv2009.0
+ Revision: 209172
- add -D_GNU_SOURCE to $CFLAGS in order to compile pam_console and pam_timestamp
- requires pam_tcb
- buildrequires glibc-crypt_blowfish-devel
- don't build pam_unix; pam_tcb provides it
- unix_chkpwd and unix_update are no longer required without pam_unix
- clean up system-auth(5)
- update system-auth to use pam_tcb
- updated the Mandriva-specific README

* Fri Jan 18 2008 Frederic Crozat <fcrozat@mandriva.com> 0.99.8.1-8mdv2008.1
+ Revision: 154727
- Update license info based on fedora specfile
- Update patches 25, 44 with latest version from fedora
- Remove patch26, merged into patch25
- Patch42, 43 (Fedora): don't use pam_console to change device ownership, rely on HAL ACL now
- Patch46 (Fedora): fix in operator (Fedora #295151)
- Patch47 (Fedora): fix invalid free on xauth module
- Patch48 (Fedora): add support for substack include
- Patch49, 50 (Fedora): add tty_audio module
- Patch523: fix build when SELinux is disabled
- Source501, 502 : add missing documentation from tarball
- Resync system-auth file with Fedora

* Fri Dec 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.99.8.1-7mdv2008.1
+ Revision: 136256
- link against the bdb 4.6.x assembly-mutex-only db (buchan)

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Marcelo Ricardo Leitner <mrl@mandriva.com>
    - As Blino pointed out, we can do Requires(post): coreutils as coreutils
      currently just "Requires: pam", with no specific order.
      This also fix a bug in the previous "fix" that would make the /dev/null
      device be copied instead of creating a blank file.
    - Do not use the install utility on %%post section because we can't require
      coreutils as coreutils already requires us. So replace install calls by
      cp -a and chmod ones, fixing without introducing a circular dependency.

* Thu Sep 20 2007 Frederic Crozat <fcrozat@mandriva.com> 0.99.8.1-6mdv2008.0
+ Revision: 91448
- Update patch24 with latest fedora version
- Patch25 (Fedora): do not ask for blank password when SELinux confined (Fedora #254044)

* Wed Sep 12 2007 Anssi Hannula <anssi@mandriva.org> 0.99.8.1-5mdv2008.0
+ Revision: 84662
- show 0.99.3.0 notes only when upgrading from an older version

* Mon Sep 10 2007 Olivier Blin <oblin@mandriva.com> 0.99.8.1-4mdv2008.0
+ Revision: 84153
- make evdev mouse devices owned by console user (fix synclient, #32955)

* Mon Sep 03 2007 Frederic Crozat <fcrozat@mandriva.com> 0.99.8.1-3mdv2008.0
+ Revision: 78627
- Update patches 40 & 5 with latest version from RH (Fix Mdv bug #32741)
- Patch44 (RH): fix homedir init with namespace module

* Mon Aug 13 2007 Olivier Blin <oblin@mandriva.com> 0.99.8.1-2mdv2008.0
+ Revision: 62485
- add scanner devices in the usb group (#29489, #29562)
- make sure devices are accessible by their group if specified in console.perms (#29489)
- remove mode definitions from mdvperms patch (will be done by a one-liner in the spec)
- restore console settings for lp class (wrongly removed in 0.99.6.0 rediff, #29562)
- move lp class in 50-mandriva.perms
- add compatibility symlinks for pam_unix_{auth,acct,passwd,session}.so
- add /etc/security/opasswd file
- add more module checks in check section (from Fedora)
- move checks in check section
- properly include /var/log/faillog and tallylog as ghosts and create them in post script (from Fedora)
- add user and new instance parameters to namespace init (from Fedora)
- fix typo in man pages
- enable libaudit
- rediff mdv perms patch
- do not log an audit error when uid != 0 (from Fedora)
- update to pam-redhat-0.99.8-1
- adapt to new devel library policy
- add signature
- rename sources to match RH spec file
- remove useless chmod

* Tue Jul 24 2007 Olivier Blin <oblin@mandriva.com> 0.99.8.1-1mdv2008.0
+ Revision: 55033
- 0.99.8.1
- update RH patches
- package /sbin/unix_update
- remove old packaging hacks
- use new doc directory policy

* Sat Jul 21 2007 David Walluck <walluck@mandriva.org> 0.99.7.1-3mdv2008.0
+ Revision: 54187
- add config-util.pamd


* Wed Feb 07 2007 Olivier Blin <oblin@mandriva.com> 0.99.7.1-2mdv2007.0
+ Revision: 117173
- mark doc dir as docdir
- fix doc installation
- update pam_redhat to 0.99.7-1
- allow more X displays as consoles (RH #227462)

* Wed Jan 24 2007 Olivier Blin <oblin@mandriva.com> 0.99.7.1-1mdv2007.1
+ Revision: 112870
- 0.99.7.1

* Tue Jan 23 2007 Olivier Blin <oblin@mandriva.com> 0.99.7.0-1mdv2007.1
+ Revision: 112280
- 0.99.7.0

* Fri Oct 20 2006 Olivier Blin <oblin@mandriva.com> 0.99.6.3-1mdv2007.1
+ Revision: 71373
- link pam_userdb with db4 (#26242 and #26572)
- pam_loginuid is now in upstream sources
- remove console reset patch, now handled upstream
- 0.99.6.3

* Sat Sep 16 2006 Olivier Blin <oblin@mandriva.com> 0.99.6.0-3mdv2007.0
+ Revision: 61618
- 0.99.6.0-3mdv
- chown IR remote controls devices to console user (Anssi Hannula, #24785)
- add /dev/scd* /dev/sg* /dev/cdrw* /dev/dvdrw* in burner devices list (#25371 and #24541)

* Wed Aug 30 2006 Olivier Blin <oblin@mandriva.com> 0.99.6.0-2mdv2007.0
+ Revision: 58719
- bump release
- make cdrom devices owned by cdrom group

  + Anssi Hannula <anssi@mandriva.org>
    - add /dev/input/by-path/*-joystick to <joystick> class (fixes #23775)
    - make <sound> class devices accessible by audio group (fixes #24300)
    - make <v4l> and <dvb> class devices accessible by video group (fixes #24786)

* Fri Aug 11 2006 Olivier Blin <oblin@mandriva.com> 0.99.6.0-1mdv2007.0
+ Revision: 55258
- use ndbm from db1 to build pam_userdb
- drop html, ps and pdf doc (pdf doc would require Apache's fop to be packaged)
- make doc/txts directory (not provided upstream anymore)
- namespace.init is now provided upstream
- drop more sgml hacks (sgml not used upstream anymore)
- remove pam-0.77-use_uid.patch (fixed upstream)
- remove pam_keyinit patches (merged upstream)
- remove pam-0.99.5.0-access-gai.patch (applied upstream)
- remove pam-0.99.4.0-succif-service.patch (merged upstream)
- remove sgml2latex patch, it doesn't apply anymore since xml is used instead of sgml in 0.99.6.0
- 0.99.6.0
- really use pam-redhat-0.99.6-1
- remove patch merged in pam-redhat 0.99.6-1
- revoke keyrings properly when pam_keyinit called more than once (RH)
- don't log pam_keyinit debug messages by default
- drop ainit from console.handlers (RH)
- add pam_keyinit to the default system-auth file (RH)
- fixed network match in pam_access (from Redhat)
- sync with pam-redhat 0.99.6-1 (and rediff mdvperms, RH merged a lot of our permissions)
- import pam-0.99.5.0-2mdv2007.0

* Tue Jul 04 2006 Olivier Blin <oblin@mandriva.com> 0.99.5.0-2mdv2007.0
- Source500: add ttyACM* devices in the serial class (#23190)
- Patch83 (from Fedora): add service as value to be matched and list
  matching to pam_succeed_if
- use upstream redhat-modules patch

* Thu Jun 29 2006 Olivier Blin <oblin@mandriva.com> 0.99.5.0-1mdv2007.0
- 0.99.5.0
- Patch523: temporary patch to add namespace.init, which is missing from dist
  (extracted from RH old namespace patch)
- package namespace files in /etc/security
- Patch84 (from RH): pam_console_apply shouldn't access /var when called with -r

* Thu Jun 29 2006 Olivier Blin <oblin@mandriva.com> 0.99.4.0-1mdv2007.0
- 0.99.4.0
- from Fedora:
  o pam-0.99.4.0-redhat-modules
  o pam-redhat-0.99.5-1
  o add system-auth and config-util man pages
- drop Patch523 and all pwdb bits
- drop glib2-devel BuildRequires (pam_console_apply don't need it anymore)
- rediff Patch500 (mdv perms)
- drop Patch520 (merged upstream)
- don't check for userdb module, we don't built it
  (it requires an internal libdb copy)
- package pam_tally2

* Thu Feb 02 2006 Olivier Blin <oblin@mandriva.com> 0.99.3.0-6mdk
- update instructions in the README.update.urpmi file (Source4)

* Wed Feb 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.99.3.0-5mdk
- patch 500:
  o fix firewire perms (#20270)
  o fix printer perms (#13013)

* Mon Jan 30 2006 Olivier Blin <oblin@mandriva.com> 0.99.3.0-4mdk
- don't build prelude (#20896)
- Patch523: allow to disable pwdb
- disable pam_pwdb
- make unix_chkpwd setuid root again
- Source2: remove hardcoded /lib/security in source
  (even if spec-helper fixes it later)
- don't add video group in %%pre, it's already in the setup package
- remove hardcoded workaround for a (more than) 2 years-old pam
- more BuildRequires fixes: drop autoconf2.1, use glib2-devel
  (thanks to Stefan van der Eijk)
- rpmbuildupdatable
- Source4: README.update.urpmi

* Sat Jan 28 2006 Olivier Blin <oblin@mandriva.com> 0.99.3.0-3mdk
- BuildRequires automake1.8 (Stefan van der Eijk)
- fix again Patch517 (use real patch name)
- fix typo in modules installation test

* Sat Jan 28 2006 Olivier Blin <oblin@mandriva.com> 0.99.3.0-2mdk
- BuildConflicts with libselinux-devel (#20871)
- don't test if modules/pam_selinux is built, we don't want it
- Patch517: fix typo in limits.conf (Andrey Borzenkov, #20872)
- BuildRequires openssl-devel (#20874)
- Patch511: use pam_syslog instead of old _pam_log in pam_limits
  (Andrey Borzenkov, #20876)
- BuildRequires prelude-devel

* Sat Jan 28 2006 Olivier Blin <oblin@mandriva.com> 0.99.3.0-1mdk
- 0.99.3.0
- sync with RH (all of their others patches are either merged upstream,
  or useless in Mandriva, such as SE Linux):
  o drop Patch39 (wasn't needed for 0.77)
  o drop Patch[0,1,2,3,5,6,7,8,9,11,12,13,14,15,16,17,18,19,20],
    Patch[22,23,24,25,26,27,30,31,32,33,35,36,37,40] and Source4
    (dropped during 0.78 upgrade)
  o drop Patch29 (dropped during 0.79 upgrade)
  o drop Patch4 (dropped during 0.80 upgrade)
  o rediff Patch21
  o don't use fakeroot anymore
  o don't enable static-pam
  o drop Patch10 (dropped during 0.99.2.1 upgrade)
  o rediff Patch34
  o fix descriptions
- rediff Patch500, and split out Mandriva-specific perms in Source500
  (installed as 50-mandriva.perms)
- remove devfs-style paths in Patch500/Source500
- drop Patch502 (dead X problem fixed otherwise upstream)
- drop Patch503 (we don't need pam_console_apply_devfsd)
- rediff Patch504 (drop merged parts), Patch508, Patch512
- drop Patch506 (not required anymore to detect cracklib dicts on x86_64)
- drop Patch507 (tty name not found fixed otherwise upstream)
- drop Patch509 (fixed upstream)
- drop Patch513 (fixed otherwise upstream, should still work with lsb-test-pam)
- drop Patch514 (kill pam_console_setowner, pam_console_apply should be used)
- drop Patch515 (/etc/environment test fixed upstream)
- drop Patch516 (RT now supported upstream)
- rediff Patch517 (apply on limits.conf, use new rtprio keyword instead of
  previous rt_priority)
- drop Patch518 (build with gcc 4 works fine now)
- add comments about ghost patches
- Patch520 and Patch521: fix parallel build
- Patch522: ensure that sgml2txt worked
- package new security/console.handlers and security/console.perms.d/
- package pam_filter/upperLOWER
- package libpamc
- package security/chroot.conf
- package lang files
- don't package pwdb_chkpwd
- more description fixes

* Thu Jan 26 2006 Olivier Blin <oblin@mandriva.com> 0.77-37mdk
- handle permissions for /dev/bus/usb

* Tue Jan 24 2006 Olivier Blin <oblin@mandriva.com> 0.77-36mdk
- fix permissions for more DVB devices (merge Patch520 in Patch500)

* Mon Jan 23 2006 Olivier Blin <oblin@mandriva.com> 0.77-35mdk
- update Patch514 to handle multiple arguments in pam_console_setowner,
  (from Andrey Borzenkov, #20269, it's about reimplementing recent
   pam_console_apply in our weird pam_console_setowner)
- use requires instead of prereq for pam-doc

* Tue Jan 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.77-34mdk
- patch 520: set perms for DVB devices (#14688)

* Fri Jan 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.77-33mdk
- drop selinux (P60)
- removed two hunks from P40 (required the selinux patch applied)
- dropped P62 (required the selinux patch applied)
- rebuilt against a non selinux enabled pwdb lib (thanks stefan)

* Wed Oct 05 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.77-32mdk
- fix build on ppc64

* Tue Sep 20 2005 Frederic Lepied <flepied@mandriva.com> 0.77-31mdk
- fix uninitialized variable user (aka fix crash on C3)

* Sun Jul 31 2005 Couriousous <couriousous@mandriva.org> 0.77-30mdk
- Don't apply 64bit patch ( fix #16961 )

* Wed Jun 22 2005 Frederic Lepied <flepied@mandriva.com> 0.77-29mdk
- fixed dependencies

* Mon May 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.77-28mdk 
- patch 516: add support for RT/nice rlimit settings (kernel-2.6.12+)
- patch 517: enable new RT privileges for audio group in limits.conf
- patch 518: fix build with gcc-4.0

* Thu Apr 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.77-27mdk 
- Update Patch500 to add /dev/zip* and /dev/jaz* as zip/jaz group for
  console privilege

* Thu Sep 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-26mdk
- give access to /dev/nvram in ro for console users
- handle /dev/dri* and /dev/nvidia the same way in startx and *dm modes.

* Tue Sep 21 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-25mdk
- pam_env: don't abort if /etc/environment isn't present (Oded Arbel)
- fix BuildRequires (Oded Arbel)
- create an empty /etc/environment
- add USB joystick devices to console.perms (bug #11190)

* Fri Sep 17 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.77-24mdk
- really build pam_console_apply_devfs against glib-1.2

* Sat Sep 11 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-23mdk
- fixed debug code in pam_console_apply_devfsd
- added a way to debug pam_console_setowner by setting PAM_DEBUG env variable
- don't apply patch63 to have console.lock at the usual place

* Fri Sep 10 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-22mdk
- implement pam_console_setowner for udev

* Thu Sep 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.77-21mdk
- add sr* to cdrom group

* Wed Sep 08 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-20mdk
- fixed lookup when a group or a user doesn't exist (bug #11256)
- fixed the group of audio devices when nobody is connected

* Tue Aug 24 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-19mdk
- added /dev/rfcomm* /dev/ircomm* to serial group (Fred Crozat)

* Tue Aug 24 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-18mdk
- put back <serial> group in console.perms

* Tue Aug 24 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-17mdk
- manage dri files perm (bug #10876 )
- manage perm of /dev/raw1394 (bug #9240)
- console.perms more group friendly (bug #3033)
- merged with rh 0.77-54

* Wed Jul 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.77-16mdk
- Update patch16 to give console permissions to rfcomm devices

* Tue Jul 06 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-15mdk
- fixed typo in provides for devel package

* Sat Jul 03 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.77-14mdk
- patch for lsb2 lsb-test-pam compliance (patch513)

* Mon Jun 14 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.77-13mdk
- fix buildrequires
- fix provides
- cosmetics

* Tue Feb 24 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-12mdk
- console.perms: /proc/usb => /proc/bus/usb (Marcel Pol) [bug #8285]

* Thu Feb 19 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-11mdk
- added a trigger to be able to upgrade

